Subject: bug#18155: 24.3.92; Honor toolBar resource *before* showing frame

From: "Jan D." <[email-masked]>
Date: Thu, 31 Jul 2014 08:57:05 +0200

Eli Zaretskii skrev 2014-07-31 07:53:
>> From: Carlos Pita <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 31 Jul 2014 02:17:52 -0300
>>
>>
>> Below is the complete info.
>
> Thanks.
>
>> In GNU Emacs 24.3.92.1 (i686-pc-linux-gnu, GTK+ Version 3.12.2)
>>   of 2014-07-25 on localhost
>> Configured using:
>>   `configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
>>   --localstatedir=/var --with-x-toolkit=gtk3 --with-xft
>>   'CFLAGS=-march=i686 -mtune=generic -O2 -pipe -fstack-protector-strong
>>   --param=ssp-buffer-size=4' CPPFLAGS=-D_FORTIFY_SOURCE=2
>>   LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro'
>
> AFAIK, GTK is one of the toolkits which draw their own toolbar.
>
> Perhaps Jan (CC'ed) could tell if your wish can be granted.
>

As far as I know, for the first frame when .emacs has not been read yet, 
Emacs internally says that no tool bar shall be added.
After .emacs has been read, and tool bar mode is still active (i.e. not 
disabled by .emacs) it adds the tool bar.  So this is generic code that 
is at work.

It does not start with a tool bar and then remove it if .emacs disables 
it.  It is the other way around, starts with no tool bar and then adds it.

	Jan D.